* {
    margin: 0;
    padding: 0;
    margin-block-start: 0;
    margin-block-end: 0;
    color: inherit;
    font-family: 'Lausanne', sans-serif;
    margin-inline-start: 0;
    margin-inline-end: 0;
    box-sizing: border-box;
}

button,
input[type="submit"],
input[type="reset"] {
    background: none;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
}


html {
    font-size: 16px;
}

@media (min-width: 872px) {
    html {
        font-size: 18px
    }
}

/* @media (min-width: 1024px) {
    html {
        font-size: 24px
    }
} */

/** QUERIES

720px
872px
1024px
1520px

**/

:root {
    --c-blue: #383AFF;
    --c-green: #00FF5F;
    --c-rosa: #FFECF3;
    --c-white: #FFFFFF;
    --shadow-hover:
        inset 8px 8px 12px rgba(255, 255, 255, 0.5),
        inset -8px -4px 24px rgba(56, 58, 255, 0.3);
    --shadow-active:
        inset -4px -4px 12px rgba(0, 255, 95, 0.5),
        inset 4px 4px 12px rgba(0, 255, 95, 0.5),
        inset -8px -4px 24px rgba(56, 59, 255, 0.466);
}

@font-face {
    font-family: 'Lausanne';
    src: url('/assets/fonts/TWKLausanne-300.woff2') format('woff2'),
        url('/assets/fonts/TWKLausanne-300.woff') format('woff');
    font-style: normal;
    font-weight: 300;
}

@font-face {
    font-family: 'NeuePixel';
    src: url('/assets/fonts/NeuePixelGrotesk_Regular.woff') format('woff');
    font-style: normal;
    font-weight: 300;
}



a,
p,
h1,
h2,
h3,
h4,
h5,
h6,
figcaption {
    font-family: 'Lausanne', sans-serif;
    font-weight: 300;
    font-style: normal;
    text-decoration: none;
}

.neuepixel {
    font-family: 'NeuePixel', sans-serif;
}

p,
figcaption {
    font-size: 1.2rem;
    line-height: 1.4;
    letter-spacing: .01rem;
}

.explanation-text p {
    font-size: 1rem;
}

h1 {
    font-size: 2.5rem;
    margin-top: 0.5rem;
}

h2 {
    font-size: 1rem;
}

.error-message h2 {
    font-size: 2.5rem;
}

h3 {
    font-size: 2.5rem;
    text-align: center;
    max-width: 1400px;
}

h4 {
    font-size: 1.2rem;
    text-align: center;
}

figcaption {
    text-align: center;
}

.underline {
    text-decoration: underline;
}

.footer-text {
    font-size: .8rem;
    color: var(--c-blue);
    text-align: center;
}

footer {
    margin: 2rem 0;
}

/** MAIN **/


body {
    background-color: var(--c-rosa);
}

img,
picture {
    width: 100%;
    height: 100%;
    aspect-ratio: auto;
    /*     border-radius: 1rem; */
}

picture {
    display: flex;
    align-items: center;
    justify-content: center;
}

.padding {
    padding: 1rem;
}

.border {
    border: 2px solid var(--c-blue);
}

.br-x-small {
    border-radius: .5rem;
}

.br-small {
    border-radius: 1rem;
}

.br-wide {
    border-radius: 2rem;
}

.br-max {
    border-radius: 100rem;
}

.shadow-red {
    /*     filter: drop-shadow(4px 8px 12px rgba(190, 17, 17, 0.25)); */
    background-color: var(--c-white);
}


.shadow-inner {
    box-shadow: inset -8px -4px 24px rgba(56, 58, 255, 0.25);
}

.shadow-blue {
    box-shadow:
        inset -4px -8px 24px rgba(49, 47, 184, 0.5),
        inset 4px 4px 8px rgba(255, 255, 255, 0.15);
    background-color: var(--c-blue);
    color: var(--c-white);
}

.shadow-link {
    box-shadow:
        inset -4px -4px 12px rgba(0, 255, 95, 0.5),
        inset 4px 4px 12px rgba(0, 255, 95, 0.5),
        inset -8px -4px 24px rgba(56, 58, 255, 0.15);
}

.center-flex {
    display: flex;
    justify-content: center;
    align-items: center;
}

.mrgn-b-small {
    margin-bottom: .5rem;
}

header {
    position: fixed;
    z-index: 100;
    top: 0;
    padding: .5rem;
    display: flex;
    justify-content: space-between;
    gap: .5rem;
    width: 100%;
}

main {
    margin-top: 4.5rem;
    padding: .5rem;
}

section {
    margin-bottom: .5rem;
    color: var(--c-blue);
}

.inverted {
    border-radius: 1rem;
    box-shadow: inset 4px 8px 12px rgba(190, 17, 17, 0.25);
    background-color: var(--c-rosa);
}

.section-title-container {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 2rem;
}

.section-title {
    width: 75%;
    max-width: 24rem;
    padding: .5rem .5rem .4rem .5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--c-blue);
    text-align: center;
    margin-top: 1rem;
    overflow: hidden;
    height: 44px;
}

.content-container {
    width: 100%;
}

.full-height {
    min-height: calc(100vh - 6rem);
}

/* HEADER */

nav {
    position: fixed;
    left: .5rem;
    right: .5rem;
    top: .5rem;
    bottom: .5rem;
    z-index: 120;
    padding: 1rem;
    display: none;
    opacity: 0;
}

nav.active {
    display: block;
    animation-name: opacity;
    animation-duration: .5s;
    animation-iteration-count: 1;
    opacity: 1;
}


@keyframes opacity {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.nav-header {
    display: flex;
    justify-content: space-between;
}

.nav-content {
    color: var(--c-blue);
    padding: 2rem 1rem;
}

.nav-content p {
    font-size: 1.8rem;
    line-height: 1.1;
    margin-bottom: .8rem;
}

.nav-content a {
    transition: all 1s ease-in-out;
}

.nav-content a:hover {
    text-shadow:
        4px 4px 8px var(--c-green),
        8px 8px 16px var(--c-green),
        -8px -8px 16px var(--c-green);
}

button.nav-button {
    width: 4rem;
    height: 4rem;
    background-color: var(--c-white);
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav-button-title {
    display: none;
}

.chapter-buttons,
.back-button {
    width: calc(100% - 10rem);
    position: fixed;
    top: .5rem;
    left: 5rem;
    z-index: 101;
    display: flex;
    gap: .5rem;
}

.prev-chapter,
.next-chapter {
    flex-grow: 12;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 4rem;
}

.page-title,
.page-sign {
    float: left;
    margin-right: .5rem;
}

.search-bar,
.nav-button {
    float: left;
    margin-left: .5rem;
}

.page-title {
    display: none;
    height: 4rem;
    color: var(--c-blue);
    padding: 0 1rem;
}

.page-sign,
.search-icon {
    height: 4rem;
    width: 4rem;
    background-color: var(--c-white);
    color: var(--c-blue);
}

.search-bar {
    display: none;
}



@media (min-width: 872px) {

    .page-title {
        display: flex;
    }

    .search-bar {
        display: flex;
        position: relative;
        cursor: pointer;
    }

    .search-bar input {
        padding: 1rem;
        font-size: 1.2rem;
        color: var(--c-blue);
    }

    label.search-icon input {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
    }

    .chapter-buttons {
        position: relative;
    }

    a.prev-chapter,
    a.next-chapter {
        position: fixed;
        top: 5rem;
        height: calc(100vh - 5.5rem);
        width: 4rem;
    }

    a.prev-chapter {
        left: .5rem;
    }

    a.next-chapter {
        right: .5rem;
    }

    .is-next,
    .is-prev {
        width: calc(100% - 4.5rem);
    }

    .is-prev {
        margin-left: 4.5rem;
    }

    .is-next.is-prev {
        width: calc(100% - 9rem);
    }

    .nav-button-title {
        display: flex;
        position: absolute;
        background-color: var(--c-green);
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        box-shadow: var(--shadow-hover);
        color: var(--c-blue);
        opacity: 0;
        transition: all .5s ease-in-out;
    }

    a.prev-chapter:hover .nav-button-title,
    a.next-chapter:hover .nav-button-title {
        opacity: 1;
    }

    .nav-button-title p {
        writing-mode: vertical-rl;
        text-orientation: mixed;
    }
}

/* LINKS + EXPLANATION */

.explanation-container {
    padding: 1rem;
    max-width: 400px;
    align-self: flex-start;
}

.links-list {
    width: 100%;
}

.link {
    display: grid;
    grid-template-columns: auto 8px 4rem;
    text-decoration: none;
    margin-bottom: 1rem;
    width: 100%;
}

.link-line {
    height: 4rem;
    display: flex;
    align-items: center;
}

.link-desc {
    padding: 1.2rem 1rem .8rem 1rem;
}

.link-icon {
    height: 4rem;
    width: 4rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.explanation-title {
    margin: 1.5rem 0;
}

/* ARTICLE */

.article-content {
    display: flex;
    gap: 2rem;
    flex-wrap: wrap;
    justify-content: center;
}

.article-content h3,
.article-content figure {
    width: 100%;
}

.article-content p {
    max-width: 30rem;
}

.shortarticle {
    display: inline-block;
}

/* RECOMMENDATION */

.recom-title {
    padding: 1.2rem 1rem .6rem 1rem;
    min-height: 4rem;
}

.recom-title h3 {
    font-size: 1.4rem;
    /* margin-top: -.6rem; */
}

.vertical-line {
    display: flex;
    justify-content: center;
}

.recomm-box {
    position: relative;
}

.recomm {
    z-index: 1;
}

.recomm-button-container {
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--c-white);
    border-top: 2px solid var(--c-blue);
    border-left: 2px solid var(--c-blue);
    border-bottom: 2px solid var(--c-blue);
    border-top-left-radius: 2rem;
    border-bottom-left-radius: 2rem;
    z-index: 1;
}

.recomm-button {
    width: 3rem;
    height: 3rem;
    font-size: 1.6rem;
    padding-top: .3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: .5rem;
    z-index: 1;
    box-shadow:
        inset -4px -4px 12px rgba(0, 255, 95, 0.5),
        inset 4px 4px 12px rgba(0, 255, 95, 0.5),
        inset -8px -4px 24px rgba(56, 58, 255, 0.15);
}

.active button.recomm-button {
    background-color: var(--c-blue);
    color: var(--c-white);
    box-shadow: none;
}

.recomm-content {
    padding: 1rem;
    height: 100%;
}

.recomm-content-container {
    background-color: var(--c-white);
    position: absolute;
    width: calc(100% - 4rem - 4px);
    left: 4rem;
    border: 2px solid var(--c-blue);
    border-top-right-radius: 2rem;
    border-bottom-right-radius: 2rem;
    z-index: 1;
}

/* PROJECTS */

.project {
    width: 100%;
}

.project-title {
    padding: 1.1rem 1rem 1rem 1rem;
}

.project-button-wrapper {
    display: flex;
    justify-content: center;
}

.project-link-button-container {
    border-left: 2px solid var(--c-blue);
    border-right: 2px solid var(--c-blue);
    border-bottom: 2px solid var(--c-blue);
    border-bottom-right-radius: 3rem;
    border-bottom-left-radius: 3rem;
    background-color: var(--c-white);
    width: max-content;
    height: 3.25rem;
    /*     transform: translateY(-2px); */
    margin-top: -2px;
}

.project-button {
    width: 3rem;
    height: 3rem;
    font-size: 1.6rem;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: -.4rem .5rem .5rem .5rem;
    z-index: 2;
    /*     transform: translateY(-1rem); */
    box-shadow:
        inset -4px -4px 12px rgba(0, 255, 95, 0.5),
        inset 4px 4px 12px rgba(0, 255, 95, 0.5),
        inset -8px -4px 24px rgba(56, 58, 255, 0.15);
}

.project-image {
    width: 100%;
    height: 250px;
    overflow: hidden;
}

picture {
    display: inline-block;
}

.project-image-container picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* PAGE-TITLE */

.project-page-title,
.participant-title {
    margin-bottom: .5rem;
    padding: 1rem;
}

.project-page-title h2,
.participant-title h2 {
    font-size: 2.5rem;
    text-align: center;
}

/* GALLERY */

.gallery {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: max-content 4rem;
}

.swiper {
    width: 100%;
    height: calc(100vh - 9.5rem);
    padding: 1rem;
    grid-column: 1 / span 2;
}

.swiper-prev {
    border-top: 2px solid var(--c-blue);
    border-right: 2px solid var(--c-blue);
    border-bottom-left-radius: 2rem;
}

.swiper-next {
    border-bottom-right-radius: 2rem;
    border-top: 2px solid var(--c-blue);
}

.swiper-slide figure {
    padding: 1rem;
    width: 100%;
    height: 100%;
}

.swiper-slide figure img {
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
    box-shadow: 4px 4px 12px rgba(43, 46, 193, 0.3);
}


section.image {
    overflow: hidden;
}

.swiper-prev,
.swiper-next,
.link-icon,
.project-button,
.recomm-button,
a.prev-chapter,
a.next-chapter,
button.prev-chapter,
.search-icon,
.nav-button,
.ov-chapter-container,
.ov-chapter-button {
    cursor: pointer;
    transition: all .5s ease-in-out;
}

.swiper-next:focus,
.swiper-prev:focus,
a:focus .link-icon,
a:focus .project-button,
.recomm-button:focus,
a.prev-chapter:focus,
a.next-chapter:focus,
button.prev-chapter:focus,
.search-icon:focus,
.nav-button:focus,
.ov-chapter-container:focus .ov-chapter-button {
    background-color: var(--c-green);
    box-shadow: var(--shadow-hover);
}

@media (hover: hover) {

    .swiper-next:hover,
    .swiper-prev:hover,
    a:hover .link-icon,
    a:hover .project-button,
    .recomm-button:hover,
    a.prev-chapter:hover,
    a.next-chapter:hover,
    button.prev-chapter:hover,
    .search-icon:hover,
    .nav-button:hover,
    .ov-chapter-container:hover .ov-chapter-button {
        background-color: var(--c-green);
        box-shadow: var(--shadow-hover);
    }

}

a {
    outline: transparent;
}

.swiper-next:active,
.swiper-prev:active,
a:active .link-icon,
a:active .project-button,
.recomm-button:active,
a.prev-chapter:active,
a.next-chapter:active,
button.prev-chapter:active,
.search-icon:active,
.nav-button:active,
.ov-chapter-container:active .ov-chapter-button {
    background-color: var(--c-green);
    box-shadow:
        inset -4px -4px 12px rgba(0, 255, 95, 0.5),
        inset 4px 4px 12px rgba(0, 255, 95, 0.5),
        inset 4px 4px 8px rgba(43, 46, 193, 0.774),
        inset -8px -4px 32px rgba(56, 59, 255, 0.5);
}


/* PARTICIPANTS */

.participant {
    width: 100%;
    display: grid;
    grid-template-columns: 4rem 8px 1fr;
    text-decoration: none;
}

.participant-desc {
    padding: 1.2rem 1rem .8rem 1rem;
    justify-self: stretch;
}

/* PARTICIPANT */

.participant-cover {
    display: inline-block;
    overflow: hidden;
    margin-bottom: .5rem;
    width: 100%;
    height: calc(100vw - 1.5rem);
}

.participant-cover img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.page-title {
    transition: all .2s ease-in-out;
}

.hide {
    width: 0;
    overflow: hidden;
    padding: 0;
    border: none;
    margin: 0;
    opacity: 0;
}


/* OVERVIEW + SEARCH */

.ov-chapter,
.ov-projects,
.ov-participants {
    /* column-span: all; */
    padding: 1rem;
}

.ov-chapter-container {
    padding: 1.5rem;
    /* align-self: stretch; */
}

.ov-chapter-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1.5rem;
}

.ov-chapter-button {
    width: 4rem;
    height: 4rem;
}

.ov-chapter-thesis p {
    font-size: 1.4rem;
}

.language {
    color: var(--c-blue);
    font-size: 1.4rem;
}

.active-language {
    display: none !important;
}

@media (min-width: 720px) {

    .article h3 {
        font-size: clamp(2.5rem, 10vw, 4rem);
        margin-bottom: 2rem;
    }

    .article-content figure {
        width: 80%;
    }

    .padding {
        padding: 2rem;
    }

    .description,
    .thesis {
        padding: 4rem 2rem;
    }

    section.article,
    section.thesis,
    section.description,
    section.recomm-container,
    .project-page-title,
    section.gallery,
    .content-project>.description:first-of-type {
        column-span: all !important;
    }

    section.projects,
    section.links,
    section.participants,
    section.description {
        break-inside: avoid;
    }

    .content-wrapper {
        columns: var(--columns);
    }

    .content-container {
        /* max-width: 45rem; */
    }

    .description>p,
    .recomm-content>p {
        max-width: 30rem;
    }

    .recomm-content {
        padding: 2rem;
    }

    .content-participant>*,
    .content-project>.description {
        column-span: unset !important;
    }

    .ov-chapters-wrapper,
    .ov-projects-wrapper,
    .ov-participants-wrapper,
    .results-container,
    .content-wrapper {
        columns: 3 360px;
        column-gap: .5rem;
        position: relative;
        column-fill: balance;
    }

    .participantlink-wrapper,
    .projectlink-wrapper,
    .chapterlink-wrapper,
    section {
        -webkit-column-break-inside: avoid;
        break-inside: avoid-column;
        display: flex;
        width: 100%;
    }

    section.recomm-container {
        display: inline-block;
    }

    .participant-cover {
        height: calc(50vw - 1.5rem);
    }

}

@media (min-width: 872px) {
    .gallery {
        grid-template-columns: 4rem auto 4rem;
        grid-template-rows: auto;
    }

    .swiper-slide figure {
        padding: 2rem;
    }


    .swiper-prev,
    .swiper-next {
        grid-row: 1;
        border: none;
    }

    .swiper-prev {
        grid-column: 1;
        border-right: 2px solid var(--c-blue);
        border-top-left-radius: 2rem;
    }

    .swiper {
        grid-column: 2;
    }

    .swiper-next {
        grid-column: 3;
        border-left: 2px solid var(--c-blue);
        border-top-right-radius: 2rem;
    }
}

@media (min-width: 1024px) {

    .article-content>p {
        font-size: 1.2rem;
    }

    p,
    figcaption {
        font-size: 1rem;
        line-height: 1.4;
        letter-spacing: .01rem;
    }

    .explanation-text p {
        font-size: .8rem;
    }
}

@media (min-width: 1120px) {
    .participant-cover {
        height: calc(35vw - 1.5rem);
    }
}


@media (min-width: 1520px) {

    html {
        font-size: 22px;
    }

    section.description,
    section.recomm-container,
    section.gallery,
    .content-project>.description:first-of-type {
        column-span: unset !important;
    }

    section.thesis {
        padding: 2rem 2rem 4rem 2rem;
    }

    .description {
        padding: 2rem;
    }

    .article-content figure {
        max-width: 1450px;
    }
}